# TODO
# ./configure[3000]: AX_WITH_PERL: not found - needed after regeneration

Summary:	Implementation of the SPF specification
Summary(pl.UTF-8):	Implementacja specyfikacji SPF
Name:		libspf2
Version:	1.2.10
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.libspf2.org/spf/%{name}-%{version}.tar.gz
# Source0-md5:	7bb9937d0705649eaa8646de66dc3562
Patch0:		%{name}-link.patch
URL:		http://www.libspf2.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
Obsoletes:	libspf_alt
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libspf2 is an implementation of the SPF specification as found at
<http://www.ietf.org/internet-drafts/draft-mengwong-spf-01.txt>.

%description -l pl.UTF-8
Libspf2 jest implementacją specyfikacji SPF, która znajduje się pod
<adresem
http://www.ietf.org/internet-drafts/draft-mengwong-spf-01.txt>.

%package tools
Summary:	Tools distributed with libspf2
Summary(pl.UTF-8):	Programy narzędziowe, dystrybuowane z libspf2
Group:		Networking/Utilities
Requires:	%{name} = %{version}-%{release}

%description tools
Tools distributed with libspf2; at the time of writing: spf_example,
spf_example_2mx, spfd, spfquery and spftest.

%description tools -l pl.UTF-8
Programy narzędziowe, dystrybuowane z libspf2; w momencie pisania tego
opisu: spf_example, spf_example_2mx, spfd, spfquery i spftest.

%package devel
Summary:	Header files for libspf2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libspf2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libspf_alt-devel

%description devel
Header files for libspf2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libspf2.

%package static
Summary:	Static libspf2 library
Summary(pl.UTF-8):	Statyczna biblioteka libspf2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libspf_alt-static

%description static
Static libspf2 library.

%description static -l pl.UTF-8
Statyczna biblioteka libspf2.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README TODO LICENSES INSTALL
%attr(755,root,root) %{_libdir}/libspf2.so.*.*.*
%ghost %{_libdir}/libspf2.so.2

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/spf_example
%attr(755,root,root) %{_bindir}/spf_example_static
%attr(755,root,root) %{_bindir}/spfd
%attr(755,root,root) %{_bindir}/spfd_static
%attr(755,root,root) %{_bindir}/spfquery
%attr(755,root,root) %{_bindir}/spfquery_static
%attr(755,root,root) %{_bindir}/spftest
%attr(755,root,root) %{_bindir}/spftest_static

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspf2.so
%{_libdir}/libspf2.la
%dir %{_includedir}/spf2
%{_includedir}/spf2/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libspf2.a
%changelog
* Fri Aug 01 2014 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libspf2.git;a=log;h=master

* Sun Feb 09 2014 Adam Osuchowski <adwol@pld-linux.org> 480eb92
- up to 1.2.10 (security fix -- IPv6-related buffer overflow)

* Mon Aug 08 2011 Elan Ruusamäe <glen@pld-linux.org> 2f42b5a
- add url, verbose files; rel 3

* Sun May 03 2009 hawk <hawk@pld-linux.org> ab8c16f
- release 2

* Mon Nov 17 2008 Jakub Bogusz <qboosh@pld-linux.org> c394af8
- outdated

* Mon Nov 17 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> dcc755c
- up to 1.2.9

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9cbc5f2
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7396757
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d11e078
- converted to UTF-8

* Fri Jul 01 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c43c36
- rel 2; fix headers

* Fri Jul 01 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> fd7a7a6
- new; don't include not needed/installed header

* Fri Jul 01 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 69864fc
- up to 1.2.5

* Fri Jul 01 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> dfcba80
- ac removed - fixes nothing; update link patch

* Tue May 31 2005 twittner <twittner@pld-linux.org> 197125a
- don't cp config.{sub,guess} - they are copied by %{__automake}

* Tue May 31 2005 twittner <twittner@pld-linux.org> 0c42be6
- -ac.patch: fixed configure.ac: don't use AC_CONFIG_AUX_DIR[config] macro,
  copy config.{guess,sub} from automake dist.

* Tue May 31 2005 twittner <twittner@pld-linux.org> 7523860
- fixed configure.ac: don't use AC_CONFIG_AUX_DIR[config] macro, copy
  config.{guess,sub} from automake dist.

* Mon Dec 06 2004 radek <radek@pld-linux.org> 1100577
- release 3: moved _bindir/* to the -tools subpackage to resolve
             conflict with perl-Mail-SPF-Query

* Wed Aug 04 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 4792830
- obsoletes added to make ankry less zzedzacy czlowiek

* Mon Aug 02 2004 averne <averne@pld-linux.org> 4282fed
- rel 1 for Ac

* Wed Jul 28 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 4cb91ba
- new

* Wed Jul 28 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> f794571
- add link patch

